View Issue Details

IDProjectCategoryView StatusLast Update
0005183Talerexchange Postgres DB backendpublic2018-04-15 20:34
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0005183: do not trust database to return rounded timestamps
Descriptionwhen we convert timestamps to JSON, we assume they have been rounded. But the DB may contain non-rounded entries, and right now we assert on them being rounded. We should explicitly round all DB timestamps when fetching from the DB. Best way to do this would be to have a TALER_-PQ function doing this, instead of using the GNUNET-PQ function for absolute time.
Additional InformationThis issue was responsible for the recent exchange crash.
TagsNo tags attached.

Relationships

related to 0005178 closedFlorian Dold refresh protocol traffic optimization 

Activities

Christian Grothoff

2017-11-30 17:18

manager   ~0012620

Patch is ready, but needs 0005178 before it can be committed.

Christian Grothoff

2017-12-05 15:06

manager   ~0012624

Patch was committed earlier: 5540747ca2e5f37f2df504d689b850d1078fcdc5

Issue History

Date Modified Username Field Change
2017-11-28 21:12 Christian Grothoff New Issue
2017-11-28 21:12 Christian Grothoff Status new => assigned
2017-11-28 21:12 Christian Grothoff Assigned To => Christian Grothoff
2017-11-30 17:18 Christian Grothoff Note Added: 0012620
2017-11-30 17:19 Christian Grothoff Relationship added related to 0005178
2017-12-05 15:06 Christian Grothoff Status assigned => resolved
2017-12-05 15:06 Christian Grothoff Resolution open => fixed
2017-12-05 15:06 Christian Grothoff Fixed in Version => 0.5
2017-12-05 15:06 Christian Grothoff Note Added: 0012624
2018-04-15 20:34 Christian Grothoff Status resolved => closed